Installer - Bug #23754

Foreman 1.17 auto-installation fails with "Forward DNS 10.3.1.11 did not reverse resolve to any
hostname."
Description
Noticed, when | tried to install version 1.17:

Forward DNS 10.3.1.11 did not reverse resolve to any hostname.
Your system does not meet configuration criteria

That's not very verbose, but the error message points towards https:/github.com/Katello/katello-installer/blob/master/checks/dns.rb

This issue may be related to #22260 since | can auto-install Foreman 1.15 just fine (didn't check 1.16).

Related issues:
Related to Installer - Bug #23871: dns checker returns empty string for fqdn ... Rejected

History

#1 - 06/01/2018 01:52 PM - Tina Ryn

Noticed, when | tried to install version 1.17:

Forward DNS 10.3.1.11 did not reverse resolve to any hostname.
Your system does not meet configuration criteria

That's not very verbose, but the error message points towards https:/github.com/Katello/katello-installer/blob/master/checks/dns.rb

This issue may be related to #22260 since | can auto-install Foreman 1.15 just fine (checked foreman-installer 1.16 - no error as well).

#2 - 06/04/2018 04:37 PM - Tina Ryn

And adding server name and ip to /etc/hosts worked as a bypass.

#3 - 06/05/2018 06:35 AM - Ondfej Prazak

- Project changed from Foreman to Installer

Moving to installer

#4 - 06/06/2018 10:19 AM - Anonymous

- Status changed from New to Feedback

If that IP doesn't resolve correctly the check IMHO indeed did its job and the message is correct.
That check got added to avoid problems later in setups without correct forward and reverse resolving (#8301)

At the moment | don't see a reason to change anything. Tina, please let us know, if there are problems besides the check.

#5 - 06/09/2018 03:31 PM - Anonymous

- Related to Bug #23871: dns checker returns empty string for fqdn resolting in wrong error message added
